-- The examples demonstrated the 3 different types of architecture.
-- Uncomment each solution to test the function of the architecture.
-- In every case it behaves the same.

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity CR_AC is 
port (
	Sensor_1	:in STD_LOGIC;
	Sensor_2	:in STD_LOGIC;
	AirCond_1	:out STD_LOGIC;			
	AirCond_2	:out STD_LOGIC
);

end entity CR_AC ;

--architecture Dataflow of CR_AC is
--begin

--	AirCond_1<=Sensor_1 or Sensor_2;
--	AirCond_2<=Sensor_1 and Sensor_2;

--end architecture Dataflow;

--architecture Behavioral of CR_AC is
--begin

--room: process (Sensor_1, Sensor_2) is
--      begin
--	       AirCond_1<=Sensor_1 or Sensor_2;
--	       AirCond_2<=Sensor_1 and Sensor_2;
--      end process room;
       
--end architecture Behavioral;

architecture Structural of CR_AC is

component AND_gate is

port(A  : in  std_logic;
     B  : in  std_logic;
     O  : out std_logic);
     
end component AND_gate;

component OR_gate is

port(A  : in  std_logic;
     B  : in  std_logic;
     O  : out std_logic);
     
end component OR_gate;

begin

or_comp : OR_gate  port map (A=>Sensor_1, B=>Sensor_2, O=>AirCond_1);
and_comp: AND_gate port map (A=>Sensor_1, B=>Sensor_2, O=>AirCond_2);   
       
end architecture Structural;